## kblog 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.13.3")

project(KBlog VERSION ${PIM_VERSION})

# ECM setup
set(KF5_MIN_VERSION "5.63.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)



set(KBLOG_LIB_VERSION ${PIM_VERSION})
set(SYNDICATION_LIB_VERSION "5.13.3")
set(XMLRPCCLIENT_LIB_VERSION "5.13.3")
set(QT_REQUIRED_VERSION "5.11.0")
ecm_setup_version(PROJECT VARIABLE_PREFIX KBLOG
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kblog_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5BlogConfigVersion.cmake"
                        SOVERSION 5)

########### Find packages ###########
find_package(KF5CoreAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)

find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Syndication ${SYNDICATION_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5XmlRpcClient ${XMLRPCCLIENT_LIB_VERSION} CONFIG REQUIRED)

add_definitions(-DTRANSLATION_DOMAIN=\"libkblog5\")
add_definitions(-DQT_NO_FOREACH)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
endif()

########### Targets ###########
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Blog")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5BlogConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5BlogConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5BlogConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5BlogConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5BlogTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5BlogTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kblog_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
   COMPONENT Devel
)
install(FILES kblog.renamecategories kblog.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

find_package(Qt5Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)

########### next target ###############

ecm_add_tests(testblogcomment.cpp testblogger1.cpp testgdata.cpp testmetaweblog.cpp testmovabletype.cpp testwordpressbuggy.cpp testblogpost.cpp testblogmedia.cpp
    NAME_PREFIX "kblog-"
    LINK_LIBRARIES KF5Blog Qt5::Test
)

# ########### next target ###############

#  set(testlivejournal_SRCS testlivejournal.cpp)
#
# add_executable(testlivejournal ${testlivejournal_SRCS})
# add_test(testlivejournal testlivejournal)
# ecm_mark_as_test(testlivejournal)
# target_link_libraries(testlivejournal KF5Blog Qt5::Test)

=== src/CMakeLists.txt ===

set(kblog_SRCS
   blog.cpp
   blogcomment.cpp
   blogmedia.cpp
   blogger1.cpp
   feedretriever.cpp
   gdata.cpp
   # livejournal.cpp
   metaweblog.cpp
   movabletype.cpp
   wordpressbuggy.cpp
   blogpost.cpp
   )

if( KPimGAPI_FOUND )
   set(kblog_SRCS ${kblog_SRCS} blogger.cpp)
endif()

ecm_qt_declare_logging_category(kblog_SRCS HEADER kblog_debug.h IDENTIFIER KBLOG_LOG CATEGORY_NAME org.kde.pim.kblog)

configure_file(blog_config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/blog_config.h @ONLY)

add_library(KF5Blog ${kblog_SRCS})

generate_export_header(KF5Blog BASE_NAME kblog)

add_library(KF5::Blog ALIAS KF5Blog)

target_include_directories(KF5Blog INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KBlog;${KDE_INSTALL_INCLUDEDIR_KF5}/KBlog/kblog>")
target_include_directories(KF5Blog PUBLIC "$<BUILD_INTERFACE:${KBlog_SOURCE_DIR}/src;${KBlog_BINARY_DIR}/src>")

target_link_libraries(KF5Blog
PUBLIC
  KF5::Syndication
  KF5::CalendarCore
PRIVATE
  KF5::XmlRpcClient
  KF5::CoreAddons
  KF5::KIOCore
  KF5::I18n
)

set_target_properties(KF5Blog PROPERTIES
    VERSION ${KBLOG_VERSION_STRING}
    SOVERSION ${KBLOG_SOVERSION}
    EXPORT_NAME Blog
)

install(TARGETS KF5Blog EXPORT KF5BlogTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(KBlog_CamelCase_HEADERS
  HEADER_NAMES
  Blog
  BlogComment
  Blogger1
  BlogMedia
  BlogPost
  GData
  MetaWeblog
  MovableType
  WordpressBuggy
  PREFIX KBlog
  REQUIRED_HEADERS KBlog_HEADERS
)

install(FILES
    ${KBlog_BINARY_DIR}/src/kblog_export.h
    ${KBlog_HEADERS}
    ${KBlog_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KBlog/kblog
    COMPONENT Devel
)
install(FILES
    ${KBlog_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KBlog/KBlog
    COMPONENT Devel
)


ecm_generate_pri_file(BASE_NAME KBlog LIB_NAME KF5Blog DEPS "Syndication CalendarCore" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KBlog)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kblog (4:19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * New upstream release (19.12.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:57:25 +0100

kblog (4:19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:16:55 +0100

=== debian/control ===
Source: kblog
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5syndication-dev (>= 18.08.3~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libqt5webkit5-dev (>= 5.4.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kblog
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kblog
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kblog

Package: libkf5blog-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: client-side support library for web application remote blogging APIs
 KBlog is a library for calling functions on Blogger 1.0, MetaWeblog,
 MovableType and GData compatible blogs. It calls the APIs using KXmlRpcClient
 and Syndication. It supports asynchronous sending and fetching of posts and,
 if supported on the server, multimedia files. Almost every modern blogging web
 application that provides an XML data interface supports one of the APIs
 mentioned above.

Package: libkf5blog-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5blog5 (= ${binary:Version}),
         libkf5calendarcore-dev (>= 4:19.08.3~),
         libkf5kdelibs4support-dev (>= 5.31.0~),
         libkf5syndication-dev (>= 18.08.3~),
         ${misc:Depends},
Description: kblog - development files
 KBlog is a library for calling functions on Blogger 1.0, MetaWeblog,
 MovableType and GData compatible blogs. It calls the APIs using KXmlRpcClient
 and Syndication. It supports asynchronous sending and fetching of posts and,
 if supported on the server, multimedia files. Almost every modern blogging web
 application that provides an XML data interface supports one of the APIs
 mentioned above.
 .
 This package contains the development files.

Package: libkf5blog5
Architecture: any
Multi-Arch: same
Depends: libkf5blog-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: client-side support library for web application remote blogging APIs
 KBlog is a library for calling functions on Blogger 1.0, MetaWeblog,
 MovableType and GData compatible blogs. It calls the APIs using KXmlRpcClient
 and Syndication. It supports asynchronous sending and fetching of posts and,
 if supported on the server, multimedia files. Almost every modern blogging web
 application that provides an XML data interface supports one of the APIs
 mentioned above.

## kblog 20.04.1

=== debian/changelog ===
kblog (4:20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:59:30 +0200

kblog (4:20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (19.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump compat level to 13.
  * New upstream release (20.04.0).
  * Enable hardening all.
  * Wrap long lines in changelog entries: 16.04.1-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:21:44 +0200

=== debian/control ===
Source: kblog
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.68.0~),
               libkf5calendarcore-dev (>= 5:5.68.0~),
               libkf5coreaddons-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5kio-dev (>= 5.68.0~),
               libkf5syndication-dev (>= 1:5.14.1~),
               libkf5xmlrpcclient-dev (>= 5.14.1~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.12.0~)
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/kde/pim/kblog
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kblog
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kblog.git
Rules-Requires-Root: no

Package: libkf5blog-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5blog5 (= ${binary:Version}),
         libkf5calendarcore-dev (>= 5:5.68.0~),
         libkf5syndication-dev (>= 1:5.14.1~),
         ${misc:Depends}
Description: kblog - development files
 KBlog is a library for calling functions on Blogger 1.0, MetaWeblog,
 MovableType and GData compatible blogs. It calls the APIs using KXmlRpcClient
 and Syndication. It supports asynchronous sending and fetching of posts and,
 if supported on the server, multimedia files. Almost every modern blogging web
 application that provides an XML data interface supports one of the APIs
 mentioned above.
 .
 This package contains the development files.

Package: libkf5blog5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: client-side support library for web application remote blogging APIs
 KBlog is a library for calling functions on Blogger 1.0, MetaWeblog,
 MovableType and GData compatible blogs. It calls the APIs using KXmlRpcClient
 and Syndication. It supports asynchronous sending and fetching of posts and,
 if supported on the server, multimedia files. Almost every modern blogging web
 application that provides an XML data interface supports one of the APIs
 mentioned above.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-dbg %-bin %-data,$(filter lib%,$(shell dh_listpackages)))

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done
